GET collections

flat.io

Summary: List the collections
Operation ID: listCollections
Auth: unknown
Description

Use this method to list the user's collections contained in `parent` (by default in the `root` collection). If no sort option is provided, the collections are sorted by `creationDate` `desc`. Note that this method will not include the `parent` collection in the listing. For example, if you need the details of the `root` collection, you can use `GET /v2/collections/root`.

Parameters (6)

direction (string, query, optional)

Sort direction

Constraints: {'enum': ['asc', 'desc']}

limit (integer, query, optional, default: 25)

This is the maximum number of objects that may be returned

Constraints: {'minimum': 1, 'maximum': 100}

next (string, query, optional)

An opaque string cursor to fetch the next page of data. The paginated API URLs are returned in the `Link` header when requesting the API. These URLs will contain a `next` and `previous` cursor based on the available data.

parent (string, query, optional, default: root)

List the collection contained in this `parent` collection. This option doesn't provide a complete multi-level collection support. When sharing a collection with someone, this one will have as `parent` `sharedWithMe`.

previous (string, query, optional)

An opaque string cursor to fetch the previous page of data. The paginated API URLs are returned in the `Link` header when requesting the API. These URLs will contain a `next` and `previous` cursor based on the available data.

sort (string, query, optional)

Sort

Constraints: {'enum': ['creationDate', 'title']}

No probe data for this endpoint yet.